Bug 434906

Summary: Review Request: xosview - OS resource viewer
Product: [Fedora] Fedora Reporter: Dr. Gregory R. Kriehn <gkriehn>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mtasaka, notting, pahan, terjeros
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-14 09:45:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Dr. Gregory R. Kriehn 2008-02-26 00:47:35 EST
Spec URL: http://optics.csufresno.edu/fedora/extras/8/SPECS/xosview.spec
SRPM URL: http://optics.csufresno.edu/fedora/extras/8/SRPMS/xosview-1.8.3-5.fc8.src.rpm
Description: The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.

This is my first package, and I need a sponsor.

Please note that I currently host my own repository (http://optics.csufresno.edu/~kriehn/fedora/repository.html) and am looking at the viability of moving the Enlightenment packages (just under 100 of them) over to Fedora Extras at some point in the future. As such, I am starting with a package outside of Enlightenment (xosview) that I feel should be included in Fedora Extras anyway.
Comment 1 Dr. Gregory R. Kriehn 2008-02-26 00:51:14 EST
The actual repository itself is located at:

http://optics.csufresno.edu/fedora/
Comment 2 Bill Nottingham 2008-02-26 02:09:39 EST
Is there a reason you closed this bug?
Comment 3 Dr. Gregory R. Kriehn 2008-02-26 10:37:09 EST
Bah, no.  I don't know how that happened -- must have been an errant mouse
click.  I've re-opened it.
Comment 4 Mamoru TASAKA 2008-03-20 14:15:16 EDT
Nice application :)

Well for 1.8.2-5:
* License
  - The license tag "GPL" is not valid for Fedora
    http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
    http://fedoraproject.org/wiki/Licensing

  ! Note
    When the codes under GPL and the codes under "BSD" are used
    for a component:
    - If "BSD" means 3 clause (i.e. without advertising clause),
      the whole license of the component becomes just "GPL"
      (in this case the license tag is GPLv2+, for example)
      as GPL is more strict than BSD
    - If "BSD" means 4 clause (i.e. with advertising clause),
      this is incompatible with GPL (at any version).
    So please check that no codes shipped under "BSD with
    advertising" license are used for this package.

* SourceURL
  - For sourceforge software, please refer to
    http://fedoraproject.org/wiki/Packaging/SourceURL

* %configure
-----------------------------------------------------------------
CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-linux-memstat --x-libraries=/usr/lib
--x-includes=/usr/include --prefix=/usr
-----------------------------------------------------------------
  - Please check if CXXFLAGS="$RPM_OPT_FLAGS" is really needed.
  - --prefix=/usr is not needed
    You can check what %configure actually does by
    $ rpm --eval %configure

  Also:
  - Check if --x-libraries=/usr/lib --x-includes=/usr/include is really
    needed
    * These are usually detected automatically
    * Also --x-libraries=/usr/lib is actually wrong for 64bit architecture

* Fedora specific compilation flags
-----------------------------------------------------------------
   129  + make -j4 all
   130  cd ./linux && make
   131  make[1]: Entering directory `/builddir/build/BUILD/xosview-1.8.3/linux'
   132  g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune
=generic -fasynchronous-unwind-tables -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size
=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -Wall -O4
-I/usr/include -DXOSVIEW_VERSION=\"1.8.3\" -I/builddir/build/
BUILD/xosview-1.8.3 -I/builddir/build/BUILD/xosview-1.8.3/linux
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPAC
KAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_BOOL=1 -DLONG_LONG=long\ long
-DHAVE_SNPRINTF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 
-DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1
-DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHA
VE_UNISTD_H=1 -DHAVE_IOSTREAM=1 -DHAVE_FSTREAM=1 -DHAVE_XPM=1 -DGNULIBC=1
-DUSESYSCALLS=1 -DHAVE_USLEEP=1  -O2 -g -pipe -Wall -Wp,-D_FO
RTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32
-march=i386 -mtune=generic -fasynchronous-unwind-tables -W
all -O4 -I/usr/include -DXOSVIEW_VERSION=\"1.8.3\"
-I/builddir/build/BUILD/xosview-1.8.3 -I/builddir/build/BUILD/xosview-1.8.3/linux -D
PACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_BOOL=1 -DLONG_LON
G=long\ long -DHAVE_SNPRINTF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1
-DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEM
ORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1
-DHAVE_UNISTD_H=1 -DHAVE_IOSTREAM=1 -DHAVE_FSTREAM=1 -DHAVE_XPM=1 -DGN
ULIBC=1 -DUSESYSCALLS=1 -DHAVE_USLEEP=1  -I..  -c cpumeter.cc -o cpumeter.o
-----------------------------------------------------------------
  - Here Fedora uses optimization level "-O2" by default, which is replaced
    by the latter level "-O4" and Fedora does not allow this.

* Macros
  - Please use macros when possible.
    * For example, /usr -> %{_prefix}
      %_prefix/bin -> %_bindir %_prefix/share/man -> %_mandir

* Desktop file
  - When installing desktop files, desktop-file-install must be
    called (please check "desktop-file-install usage" of
    http://fedoraproject.org/wiki/Packaging/Guidelines)
  - The Categories "Application" "X-Red-Hat-Base" are deprecated
    and should be removed.

* rpmlint issue
  - You can check some gereric packaging issues by using rpmlint
    (in rpmlint rpm)
-------------------------------------------------------------
xosview.src:252: W: macro-in-%changelog clean
xosview.src: W: summary-ended-with-dot An X Window System utility for monitoring
system resources.
-------------------------------------------------------------
    * When using macros in %changelog, please use %% (for example
      %%clean) to avoid macros from being expanded
    * Summary should not be ended with dot.
Comment 5 Mamoru TASAKA 2008-04-01 10:18:45 EDT
ping?
Comment 6 Dr. Gregory R. Kriehn 2008-04-01 10:48:29 EDT
Sorry -- just got off of spring break and have been catching up on all my
grading.  If me a week and I'll make adjustments to this.  Thanks for feedback!
Comment 7 Jason Tibbitts 2008-04-03 19:36:57 EDT
*** Bug 440473 has been marked as a duplicate of this bug. ***
Comment 8 Terje Røsten 2008-04-04 01:35:53 EDT
Hi Dr. Kriehn, I did not known you want to push packages from

http://optics.csufresno.edu/fedora/ to Fedora, however that's great.

I did a some work on the xosview package in your repo and submitted for review (
bug 440473). The spec file is here:

http://terjeros.fedorapeople.org/xosview/xosview.spec

Please have a look, there are some improvements there (imho).

I also did some initial work on e17 packages. 
Do you want to maintain those in Fedora too?


Comment 9 Dr. Gregory R. Kriehn 2008-04-05 23:48:41 EDT
Ok, let's work with this new spec file that you've just posted here -- from the
above comments, what is still applicable to the new spec file?

Yes, I am looking at submitting Enlightenment packages to Fedora/RPMFusion. 
However, I would like to do it in a structured manner.  If you'd like to help,
send me an e-mail, and we can work on getting this done together.

Thanks,
Greg
Comment 10 Terje Røsten 2008-04-07 16:29:39 EDT
(In reply to comment #9)

> Ok, let's work with this new spec file that you've just posted here -- 
> from the above comments, what is still applicable to the new spec file?

Let's see:

* License

 - Not looked into this.

* SourceURL

 - Fixed

* %configure
 
 - Fixed

* Fedora specific compilation flags
  - Here Fedora uses optimization level "-O2" by default, which is replaced
    by the latter level "-O4" and Fedora does not allow this.

 - Fixed (I believe)

* Macros

 - Fixed

* Desktop file

 - Fixed (partly?)

* rpmlint issue

 - rpmlint clean now

spec: http://terjeros.fedorapeople.org/xosview/xosview.spec
srpm: http://terjeros.fedorapeople.org/xosview/xosview-1.8.3-6.fc8.src.rpm
Comment 11 Mamoru TASAKA 2008-04-12 06:46:59 EDT
Sorry for delay....

For 1.8.3-6
* About License tag
  - (BSD) license used in this tarball is what we call
    "BSD with advertising", which is _incompatible_ with (any version of)
    GPL and using "BSD with advertising"-only licensed codes cannot
    used for this package.

    Fortunately the only problematic codes are
    bsd/swapinternal.{h,cc} and they are not used for xosview.

    So:
    - Please change the license tag to "GPL+" (GPL at any version)
    - Don't add COPYING.BSD to %doc.

* Using CVS
  - If you want to use CVS:
    * Please follow the section "Using Revision Control" of
      http://fedoraproject.org/wiki/Packaging/SourceURL

    * and also follow
      http://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages

* Desktop file Category
  - The Category "Application" in desktop files are now deprecated
    and should be removed.

* Macros
  - Please replace:
    %_prefix/bin -> %_bindir
    %_prefix/share/man -> %_mandir

Well, as this is NEEDSPONSOR ticket:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 12 Terje Røsten 2008-04-17 17:10:31 EDT
> * Using CVS
>   - If you want to use CVS:
>     * Please follow the section "Using Revision Control" of
>       http://fedoraproject.org/wiki/Packaging/SourceURL

Fixed in new package:

spec: http://terjeros.fedorapeople.org/xosview/xosview.spec
srpm: http://terjeros.fedorapeople.org/xosview/xosview-1.8.3-7.fc8.src.rpm
Comment 13 Mamoru TASAKA 2008-04-18 12:00:57 EDT
(In reply to comment #12)
> > * Using CVS
> >   - If you want to use CVS:
> >     * Please follow the section "Using Revision Control" of
> >       http://fedoraproject.org/wiki/Packaging/SourceURL
> 
> Fixed in new package:

No, what I wanted to say here is that
- You should create tarball from CVS repo by using tar instead of
  creating a huge diff between released tarball and CVS head.

- Also you should follow
  "Snapshot packages" of
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines

Also some other issues remain ( I will wait Gregory )
Comment 14 Terje Røsten 2008-04-18 12:20:14 EDT
> No, what I wanted to say here is that
> - You should create tarball from CVS repo by using tar instead of
>   creating a huge diff between released tarball and CVS head.

Ok, that's much simpler :-) 

I will leave that to Gregory as there should enough information in the spec file
to create the cvs tarball.
Comment 15 Dr. Gregory R. Kriehn 2008-04-26 13:23:29 EDT
All right.  Please see the following updated SPEC file and SRC rpm:

Spec: http://optics.csufresno.edu/fedora/extras/8/SPECS/xosview.spec
SRPM:
http://optics.csufresno.edu/fedora/extras/8/SRPMS/xosview-1.8.3.20080425cvs-8.fc8.src.rpm

The following things have been fixed:

- License Issue & COPYING.BSD file (see comments)

- Pulling directly source

- Removed corresponding cvs patch (diff) file

- Fixed Post-Release Naming Guidelines

- Fixed Categories section in Desktop file


I believe... ...everything is fixed.  rpmlint is silent.

Thanks for your patience in this!

I will probably start the process of uploading new spec files for other
applications and tighten up the spec files based upon the feedback here.

Greg
Comment 16 Mamoru TASAKA 2008-04-29 11:56:35 EDT
For 1.8.3.cvsXXX-8:

* Versioning
  - Well actually 1.8.3-cvsXXXX-8 is against Fedora naming guidelines.
    Please check the subsection "Snapshot packages" of
    http://fedoraproject.org/wiki/Packaging/NamingGuidelines

    The recommended EVR is 1.8.3-X.YYYYYYYcvs%{?dist}

* %configure
  - %configure sets CXXFLAGS. You can check what %configure does by
    $ rpm --eval %configure .
    So for this package the following is enough.
--------------------------------------------------
%build
./autogen.sh
%configure
%{__make} %{?_smp_mflags} all
.....
--------------------------------------------------

Then as this is NEEDSPONSOR ticket, as I said in
my comment 11 I wait for your another review request submission
or your pre-review of other review request.
Comment 17 Mamoru TASAKA 2008-05-08 10:40:07 EDT
ping?
Comment 18 Dr. Gregory R. Kriehn 2008-05-20 01:59:25 EDT
All right, let's try this ...again...

I thought I had it right the last time -- I guess I misread the naming guidelines.

SPEC:  http://optics.csufresno.edu/fedora/extras/8/SPECS/xosview.spec
SRPM: 
http://optics.csufresno.edu/fedora/extras/8/SRPMS/xosview-1.8.3-9.20080519cvs.fc8.src.rpm

And yes, I am aware that I need to spend time looking at other people's
submissions.  Now that classes are over, I'll have some time to do that.  Expect
comments from me on other packages within the week.

What is the procedure for pushing this to Fedora 9 now that it has come out?

Thanks,
Greg
Comment 19 Mamoru TASAKA 2008-05-20 12:58:18 EDT
Currently I am at a lost why your latest srpm fails to build
on dist-f10 ppc64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=619950

On dist-f9-updates-candidate ppc64 it is okay
http://koji.fedoraproject.org/koji/taskinfo?taskID=620272

???
Comment 20 Mamoru TASAKA 2008-05-20 14:17:50 EDT
Well, for 1.8.3-9:

* Source1
  - Would you write in the spec file what %SOURCE1 come from?
    (when possible, write a full URL)

* ppc64 build failure
  - Well, actually this was because
    * On F-10 redhat-rpm-config (9.0.3-1) %configure does not
      replace config.{sub,status} automatically
      (On F-9 redhat-rpm-config 9.0.2-1) it does replace
    * The original config/config.{sub,status} does not work
      for ppc64

    So something like:
-------------------------------------------------------------
%build
./autogen.sh

# From redhat-rpm-config 9.0.3-1 (F-10) config.{guess,sub} are
# not overwritten automatically. The original config.{guess,sub}
# do not work on ppc64
#
# The following /usr/lib cannot be %%_libdir !!
cp -p /usr/lib/rpm/config.{guess,sub} config/

%configure
%{__make} %{?_smp_mflags} all
--------------------------------------------------------------
    is needed

* %setup not quiet
  - %setup must be quiet (use %setup -q -n XXXXXX)

* Macros
  - Again please fix macros correctly
    %{_prefix}/bin/ -> %{_bindir}
    %{_prefix}/share/man -> %{_mandir}

* %doc
  - Not all README* is needed. README and README.linux is enough.
Comment 21 Dr. Gregory R. Kriehn 2008-05-20 14:55:51 EDT
* Source1 URL added

* fixed ppc64 config error

* added -q to %setup

* fixed macros

* fixed README

rpmlint is silent

SPEC:  http://optics.csufresno.edu/fedora/extras/8/SPECS/xosview.spec
SRPM: 
http://optics.csufresno.edu/fedora/extras/8/SRPMS/xosview-1.8.3-10.20080520cvs.fc8.src.rpm
Comment 22 Mamoru TASAKA 2008-05-20 15:11:02 EDT
(In reply to comment #21)
> * Source1 URL added
Okay, then use URL directly, such as
-------------------------------------------------------------------
Source1: http://roxos.sunsite.dk/dev-contrib/guido/XOsview.png
......

%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png
......
-------------------------------------------------------------------

And I will wait for your another review request or pre-review.

(In reply to comment #18)
> What is the procedure for pushing this to Fedora 9 now that it has come out?

I will note this once this package is approved.
Comment 23 Dr. Gregory R. Kriehn 2008-05-20 16:04:18 EDT
* Source1 + install command fixed.

SPEC:  http://optics.csufresno.edu/fedora/extras/8/SPECS/xosview.spec
SRPM: 
http://optics.csufresno.edu/fedora/extras/8/SRPMS/xosview-1.8.3-11.20080520cvs.fc8.src.rpm

Thanks for your patience!
Comment 24 Mamoru TASAKA 2008-05-29 13:55:57 EDT
Did you submit another review request or do a pre-review of other
person's review request?
Comment 25 Mamoru TASAKA 2008-06-12 02:00:49 EDT
ping again?
Comment 26 Mamoru TASAKA 2008-06-23 11:36:30 EDT
ping again?
Comment 27 Mamoru TASAKA 2008-06-30 12:42:31 EDT
I will close this bug as NOTABUG if no response is received from the reporter
within ONE WEEK.
Comment 28 Dr. Gregory R. Kriehn 2008-07-05 14:24:43 EDT
I am sorry for dropping off the planet on this -- some very large health issues
came up with a member in my family.  I'll will try to get you feedback with this
in the next couple of days.
Comment 29 Mamoru TASAKA 2008-07-18 11:15:02 EDT
ping?
Comment 30 Mamoru TASAKA 2008-07-27 08:55:05 EDT
ping again?
Comment 31 Mamoru TASAKA 2008-08-06 09:54:49 EDT
I will close this bug as NOTABUG if no response is received from the reporter
within ONE WEEK.
Comment 32 Mamoru TASAKA 2008-08-14 09:45:03 EDT
Closing.

If someone wants to import this package into Fedora, please file another review
request and mark this bug as a duplicate of the new one.

Thanks.
Comment 33 Terje Røsten 2008-09-08 11:12:58 EDT

*** This bug has been marked as a duplicate of bug 461491 ***